﻿using System;
using System;
using System.Linq;
using System.Windows;
using Microsoft.Phone.Controls;
using Telerik.Windows.Controls;

namespace RadCal
{
    public partial class MainPage : PhoneApplicationPage
    {
        SampleAppointmentSource appointmentsSource = new SampleAppointmentSource();

        // Constructor
        public MainPage()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            

            DisplayAppointmentsForDate(DateTime.Now.Date);
        }

        private void radCalendar_SelectedValueChanged(object sender, ValueChangedEventArgs<object> e)
        {
            if (e.NewValue == null)
            {
                this.AppointmentsList.ItemsSource = null;
                return;
            }
            DisplayAppointmentsForDate((e.NewValue as DateTime?).Value);

            MessageBox.Show(this.radCalendar.SelectedValue.ToString());
        }

        private void DisplayAppointmentsForDate(DateTime date)
        {
            appointmentsSource.FetchData(date, date.AddDays(1));
            AppointmentsList.ItemsSource = appointmentsSource.GetAppointments((IAppointment appointment) =>
            {
                DateTime startDate = appointment.StartDate;
                DateTime endDate = appointment.EndDate;
                DateTime calendarStartDate = date.Date;
                DateTime calendarEndDate = date.AddDays(1);
            
                if (calendarStartDate >= startDate && calendarEndDate <= endDate)
                {
                    return true;
                }

                if (startDate >= calendarStartDate && endDate <= calendarEndDate)
                {
                    return true;
                }

                if (calendarStartDate >= startDate && calendarStartDate <= endDate)
                {
                    return true;
                }

                if (calendarEndDate >= startDate && calendarEndDate <= endDate)
                {
                    return true;
                }
                return false;
            });
        }
    }

    public class SampleAppointmentSource : AppointmentSource
    {
        public SampleAppointmentSource()
        {
        }

        public override void FetchData(DateTime startDate, DateTime endDate)
        {
            this.AllAppointments.Clear();
            this.AllAppointments.Add(new SampleAppointment()
            {
                StartDate = DateTime.Now,
                EndDate = DateTime.Now.AddHours(1),
                Subject = "Today Appointment 1",
                Details = "Some Long Details are coming here",
                Location = "My Home Town"
            });
            this.AllAppointments.Add(new SampleAppointment()
            {
                StartDate = DateTime.Now.AddMinutes(30),
                EndDate = DateTime.Now.AddHours(1),
                Subject = "Today Appointment 2",
                Details = "Some Long Details are coming here",
                Location = "Paris"
            });
            this.OnDataLoaded(); // notify that there is new data to display
        }
    }
}
