﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Globalization;
using Telerik.Windows.Data;

namespace RadJL
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        public void radJumpList_ItemTaped(object sender, Telerik.Windows.Controls.ListBoxItemTapEventArgs e)
        {
            MessageBox.Show(e.Item.Content.ToString());
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        { 

            //CS1
            List<string> days = this.GetDays();
            this.radJumpList.ItemsSource = days;

            //CS2
            GenericGroupDescriptor<string, string>
            groupByFirstName = new GenericGroupDescriptor<string, string>(day => day.Substring(0, 1).ToUpper());
            this.radJumpList.GroupDescriptors.Add(groupByFirstName);
            
            ////CS3
            GenericFilterDescriptor<string> filterByFirstLetter = new GenericFilterDescriptor<string>(day => day.Contains("s") || day.Contains("S"));
            this.radJumpList.FilterDescriptors.Add(filterByFirstLetter);
        }

        private List<string> GetDays()
        {
            List<string> days = new List<string>(12);
            foreach (string dayName in DateTimeFormatInfo.CurrentInfo.DayNames)
            {
                days.Add(dayName);
            }
            return days;
        }
    }
}
